%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define gitdate	20221209
%define commit0	d59dc92f4f703b734dac82ce0c186c1751133df5

%define rel	1

Name:		seahorse-nautilus
Version:	3.11.92
Release:	%mkrel %{?gitdate:8.git%gitdate.}%{rel}
Summary:	PGP encryption and signing for nautilus
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Seahorse
%if 0%{?gitdate}
Source0:	https://gitlab.gnome.org/GNOME/%{name}/-/archive/%{commit0}/%{name}-%{version}+git%{gitdate}.tar.bz2
%else
Source0:	https://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
%endif
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	gnupg2
BuildRequires:	pkgconfig(gpgme) >= 1.0
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(cryptui-0.0) >= 3.9.90
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	gettext-devel

%description
Seahorse nautilus is an extension for nautilus which allows encryption
and decryption of OpenPGP files using GnuPG.

%prep
%autosetup -p1 -n %{?gitdate:%{name}-%{commit0}}%{!?gitdate:%{name}-%{version}}


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md THANKS
%license COPYING
%{_bindir}/seahorse-tool
%{_libdir}/nautilus/extensions-4/libnautilus-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.nautilus.*gschema.xml
%{_mandir}/man1/seahorse-tool.1*


%changelog
* Wed Jan 11 2023 daviddavid <daviddavid> 3.11.92-8.git20221209.1.mga9
+ Revision: 1932318
- update to git snapshot for nautilus 43 support
- switch to meson build system
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.11.92-6.mga8
+ Revision: 1517359
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 02 2018 umeabot <umeabot> 3.11.92-5.mga7
+ Revision: 1314563
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 3.11.92-4.mga6
+ Revision: 936626
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.11.92-3.mga5
+ Revision: 748346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.11.92-2.mga5
+ Revision: 689098
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 604429
- new version 3.11.92

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550200
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546085
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502141
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484719
- new version 3.10.0

* Tue Aug 27 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 472152
- use configure2_5x
- bump req
+ ovitters <ovitters>
- new version 3.9.90

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427245
- new version 3.8.0

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 381929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306812
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297794
- new version 3.6.0

* Tue Sep 25 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 297789
- br gettext-devel
- add group
- Import modified Fedora package

